> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/integrations/crm-leads.md).

# CRM Leads

## POST /api/Public/CrmLeads/upsert

> Upsert

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"CrmLeads"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.CrmLeadUpsertRequest":{"type":"object","properties":{"leadKey":{"type":"string","nullable":true},"forceByLeadKey":{"type":"boolean"},"visitorId":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"mobile":{"type":"string","nullable":true},"dialcode":{"type":"string","nullable":true},"planId":{"type":"integer","format":"int32"},"planName":{"type":"string","nullable":true},"billingCycle":{"type":"string","nullable":true},"subscriptionMode":{"type":"string","nullable":true},"amount":{"type":"number","format":"double"},"currency":{"type":"string","nullable":true},"numUsers":{"type":"integer","format":"int32","nullable":true},"numEnvelopes":{"type":"integer","format":"int32","nullable":true},"state":{"type":"string","nullable":true},"partnerReferralCode":{"type":"string","nullable":true},"clientIp":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/CrmLeads/upsert":{"post":{"tags":["CrmLeads"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.CrmLeadUpsertRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Upsert","operationId":"post_CrmLeads_upsert"}}}}
```

## POST /api/Public/CrmLeads/pending-for-crm

> Pending for CRM

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"CrmLeads"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.PendingLeadsRequest":{"type":"object","properties":{"stage":{"type":"string","nullable":true},"olderThanMinutes":{"type":"integer","format":"int32"},"limit":{"type":"integer","format":"int32"},"maxAttempts":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/Public/CrmLeads/pending-for-crm":{"post":{"tags":["CrmLeads"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.PendingLeadsRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Pending for CRM","operationId":"post_CrmLeads_pending_for_crm"}}}}
```

## POST /api/Public/CrmLeads/mark-pushed

> Mark pushed

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"CrmLeads"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.CrmLeadMarkPushedRequest":{"type":"object","properties":{"leadKey":{"type":"string","nullable":true},"stage":{"type":"string","nullable":true},"success":{"type":"boolean"},"crmLeadId":{"type":"string","nullable":true},"errorMessage":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/CrmLeads/mark-pushed":{"post":{"tags":["CrmLeads"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.CrmLeadMarkPushedRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Mark pushed","operationId":"post_CrmLeads_mark_pushed"}}}}
```

## POST /api/Public/CrmLeads/log-click

> Log click

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"CrmLeads"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.VisitorClickLogRequest":{"type":"object","properties":{"visitorId":{"type":"string","nullable":true},"planId":{"type":"string","nullable":true},"subscriptionMode":{"type":"string","nullable":true},"source":{"type":"string","nullable":true},"partnerReferralCode":{"type":"string","nullable":true},"clientIp":{"type":"string","nullable":true},"userAgent":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/CrmLeads/log-click":{"post":{"tags":["CrmLeads"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.VisitorClickLogRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Log click","operationId":"post_CrmLeads_log_click"}}}}
```
